View Issue Details

IDProjectCategoryView StatusLast Update
0003870GNUnetbuild processpublic2018-06-07 00:25
ReporterluigiAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003870: Use of deprecated gethostbyname() function
DescriptionNot sure how severe in this case, but rpmlint reports it, so I turn it over to you:

gnunet.x86_64: I: binary-or-shlib-calls-gethostbyname /usr/lib64/gnunet/libexec/gnunet-service-resolver
gnunet.x86_64: I: binary-or-shlib-calls-gethostbyname /usr/lib64/libgnunetutil.so.12.0.0
The binary calls gethostbyname(). Please port the code to use getaddrinfo().

Also see https://udrepper.livejournal.com/16116.html .
TagsNo tags attached.

Activities

Christian Grothoff

2015-06-29 10:01

manager   ~0009364

There were a few (largely irrelevant, testcase-related or conditionally-used) instances of where gethostbyname() might be used. As of SVN 36020, they are now really only used if getaddrinfo() is not available (and the code is otherwise not even compiled).

Issue History

Date Modified Username Field Change
2015-06-28 19:47 luigi New Issue
2015-06-29 09:34 Christian Grothoff Assigned To => Christian Grothoff
2015-06-29 09:34 Christian Grothoff Status new => assigned
2015-06-29 09:34 Christian Grothoff Target Version => 0.11.0pre66
2015-06-29 10:01 Christian Grothoff Note Added: 0009364
2015-06-29 10:01 Christian Grothoff Status assigned => resolved
2015-06-29 10:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-06-29 10:01 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed